#version 140

#include "../include/quat_vec.vert"

in vec3 pos;

uniform vec4 model_trans;
uniform vec4 model_quat;
uniform mat4 proj;

void main(void)
{
	vec3 vpos = pos;
	vpos = quat_vec(model_quat, vpos) * model_trans.w +
		model_trans.xyz;

	gl_Position = proj * vec4(vpos, 1.0);
}
