#version 140

#include "include/clip_plane.vert"
#include "include/srgb.frag"

in vec3 pos;
in vec2 uv;
in vec4 color;

uniform mat4 proj;

out vec2 uvOut;
out vec4 colOut;

void main(void)
{
	gl_Position = proj * vec4(pos, 1.0);
	clip_vertex(pos);
	uvOut = uv;
	colOut = srgb_to_linear(color);
}
