#version 140

#extension GL_ARB_explicit_attrib_location: enable

#ifdef GL_ES
precision highp float;
#endif

in vec2 uvOut;
in vec4 colOut;
uniform sampler2D tex;

layout(location = 0, index = 0) out vec4 fragCol0;
layout(location = 0, index = 1) out vec4 fragCol1;

vec4 SampleTex(vec2 coord)
{
	vec4 res = texture2D(tex, coord);
	res *= colOut.wwww;
	return res;
}

void main(void)
{
	fragCol0 = colOut;
	fragCol1 = SampleTex(uvOut);
}
