// FIXME? webgl(2) doesn't support gl_ClipDistance even via an extension. sigh
#ifndef GL_ES
out float gl_ClipDistance[2];
#else
out float clipDistance[2];
#endif

uniform vec4 clip_plane[2];

void clip_vertex(vec3 vert)
{
	vec4 vert4 = vec4(vert, 1.0);
#ifndef GL_ES
	gl_ClipDistance[0] = dot(clip_plane[0], vert4);
	gl_ClipDistance[1] = dot(clip_plane[1], vert4);
#else
	clipDistance[0] = dot(clip_plane[0], vert4);
	clipDistance[1] = dot(clip_plane[1], vert4);
#endif
}
