// rotate v by quaternion
vec3 quat_vec(vec4 quat, vec3 v)
{
	// reference: https://blog.molecular-matters.com/2013/05/24/a-faster-quaternion-vector-multiplication/
	// seems to have been derived by ryg
	vec3 t = cross(quat.xyz, v) * 2.0;
	return v + t*quat.w + cross(quat.xyz, t);
}
