#version 140

#include "include/clip_plane.vert"

in vec3 pos;
in vec2 uv;
in vec4 color;
in vec2 uv2;

uniform mat4 proj;

out vec2 uvOut;
out vec2 uvOut2;
out vec4 colOut;

void main(void)
{
	gl_Position = proj * vec4(pos, 1.0);
	clip_vertex(pos);
	uvOut = uv;
	uvOut2 = uv2;
	colOut = color;
}
