#version 140

// simple textured with color
#ifdef GL_ES
precision highp float;
#endif

#include "include/fragColor.frag"
#include "include/clip_plane.frag"

// texture uvs
in vec2 uvOut;
// color
in vec4 colOut;

// diffuse color
uniform sampler2D tex;

void main(void)
{
	clip_pixel();

	vec4 diffuse = texture(tex, uvOut);
	fragColor = diffuse * colOut;
}
