float half_lambert(vec3 norm, vec3 dir)
{
	float res = dot(dir, norm)*0.5 + 0.5;
	return res*res;
}

// half lambert is bad for shadowmapping plus I want consistent dynamic lights...
float dlight_lambert(vec3 norm, vec3 dir)
{
	float res = max(0.0, dot(dir, norm));
	return res;
}

float dlight_flashlight(float scl)
{
	// sqrt: fake but more pronounced, however causes ugly visual artifacts at steep angles
	return /*sqrt*/(scl);
}
